> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--tags/mutations/update-org-unit-hierarchy.md).

# updateOrgUnitHierarchy

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation UpdateOrgUnitHierarchy($orgUnitHierarchyInput: OrgUnitHierarchyInput!) {
  updateOrgUnitHierarchy(orgUnitHierarchyInput: $orgUnitHierarchyInput) {
    name
    tagIds
    tags {
      tagId
      name
      displayName
      tagType
      createdBy
      createdAt
      updatedAt
      tagCategory
      deploymentModel
      purpose
      email
    }
    appOwnersEmail
    id
    parent
    ancestors {
      id
      name
    }
    children {
      name
      tagIds
      tags {
        tagId
        name
        displayName
        tagType
        createdBy
        createdAt
        updatedAt
        tagCategory
        deploymentModel
        purpose
        email
      }
      appOwnersEmail
      id
      parent
      ancestors {
        id
        name
      }
      children {
        name
        tagIds
        tags {
          tagId
          name
          displayName
          tagType
          createdBy
          createdAt
          updatedAt
          tagCategory
          deploymentModel
          purpose
          email
        }
        appOwnersEmail
        id
        parent
        ancestors {
          id
          name
        }
      }
    }
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "orgUnitHierarchyInput": {
    "orgUnitHierarchy": [
      {
        "name": "SomeName",
        "tagIds": ["example"],
        "appOwnersEmail": ["example"],
        "id": "example",
        "parent": "example",
        "children": [
          {
            "name": "SomeName",
            "tagIds": [],
            "appOwnersEmail": [],
            "id": "example",
            "parent": "example",
            "children": []
          }
        ]
      }
    ],
    "owners": ["example"],
    "tagIds": ["example"]
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "mutation UpdateOrgUnitHierarchy($orgUnitHierarchyInput: OrgUnitHierarchyInput!) { updateOrgUnitHierarchy(orgUnitHierarchyInput: $orgUnitHierarchyInput) { name tagIds tags { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } appOwnersEmail id parent ancestors { id name } children { name tagIds tags { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } appOwnersEmail id parent ancestors { id name } children { name tagIds tags { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } appOwnersEmail id parent ancestors { id name } } } } }",
 "variables": {
    "orgUnitHierarchyInput": {
      "orgUnitHierarchy": [
        {
          "name": "SomeName",
          "tagIds": ["example"],
          "appOwnersEmail": ["example"],
          "id": "example",
          "parent": "example",
          "children": [
            {
              "name": "SomeName",
              "tagIds": [],
              "appOwnersEmail": [],
              "id": "example",
              "parent": "example",
              "children": []
            }
          ]
        }
      ],
      "owners": ["example"],
      "tagIds": ["example"]
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'mutation UpdateOrgUnitHierarchy($orgUnitHierarchyInput: OrgUnitHierarchyInput!) { updateOrgUnitHierarchy(orgUnitHierarchyInput: $orgUnitHierarchyInput) { name tagIds tags { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } appOwnersEmail id parent ancestors { id name } children { name tagIds tags { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } appOwnersEmail id parent ancestors { id name } children { name tagIds tags { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } appOwnersEmail id parent ancestors { id name } } } } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      orgUnitHierarchyInput: {
        orgUnitHierarchy: [
          {
            name: "SomeName",
            tagIds: ["example"],
            appOwnersEmail: ["example"],
            id: "example",
            parent: "example",
            children: [
              {
                name: "SomeName",
                tagIds: [],
                appOwnersEmail: [],
                id: "example",
                parent: "example",
                children: []
              }
            ]
          }
        ],
        owners: ["example"],
        tagIds: ["example"]
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'mutation UpdateOrgUnitHierarchy($orgUnitHierarchyInput: OrgUnitHierarchyInput!) { updateOrgUnitHierarchy(orgUnitHierarchyInput: $orgUnitHierarchyInput) { name tagIds tags { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } appOwnersEmail id parent ancestors { id name } children { name tagIds tags { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } appOwnersEmail id parent ancestors { id name } children { name tagIds tags { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } appOwnersEmail id parent ancestors { id name } } } } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "orgUnitHierarchyInput": {
        "orgUnitHierarchy": [
          {
            "name": "SomeName",
            "tagIds": ["example"],
            "appOwnersEmail": ["example"],
            "id": "example",
            "parent": "example",
            "children": [
              {
                "name": "SomeName",
                "tagIds": [],
                "appOwnersEmail": [],
                "id": "example",
                "parent": "example",
                "children": []
              }
            ]
          }
        ],
        "owners": ["example"],
        "tagIds": ["example"]
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `updateOrgUnitHierarchy` mutation.

| Argument                                                                                                                                                                                            | Description | Supported fields                                                                                                                                                                  |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| orgUnitHierarchyInput [`OrgUnitHierarchyInput!`](/api-documentation/api-reference/api--tags/types/inputs/org-unit-hierarchy-input.md) <mark style="color:red;background-color:red;">required</mark> |             | <p>orgUnitHierarchy <a href="/pages/aHptxEc8Yb5195kfUY0b"><code>\[OrgUnitHierarchyItemInput!]!</code></a><br>owners <code>\[String!]</code><br>tagIds <code>\[String!]</code></p> |

### Fields

Return type: [`[OrgUnitHierarchyItem!]`](/api-documentation/api-reference/api--tags/types/objects/org-unit-hierarchy-item.md)

You can use the following field(s) to specify what information your `updateOrgUnitHierarchy` mutation will return. Please note that some fields may have their own subfields.

| Field                                                                                                                      | Description                                                                                                                                        | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                     |
| -------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| name `String!`                                                                                                             |                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| tagIds `[String!]!`                                                                                                        |                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| tags [`[TagObject!]!`](/api-documentation/api-reference/api--tags/types/objects/tag-object.md)                             | Tags and app owners assigned to the organizational unit, resolved with their tag type. App owners are represented as tags with the owner tag type. | <p>tagId <code>String!</code><br>name <code>String!</code><br>displayName <code>String!</code><br>tagType <a href="/pages/2B1zWrVYXlsbCjeuCgpR"><code>OxTagType!</code></a><br>createdBy <code>String!</code><br>createdAt <code>DateTime</code><br>updatedAt <code>DateTime</code><br>tagCategory <code>String</code><br>deploymentModel <code>String</code><br>purpose <code>String</code><br>email <code>String</code></p>        |
| appOwnersEmail `[String!]`                                                                                                 |                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| id `String`                                                                                                                |                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| parent `String`                                                                                                            | Identifier of the current organizational unit, preserved for backward compatibility.                                                               |                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ancestors [`[OrgUnitRef!]!`](/api-documentation/api-reference/api--tags/types/objects/org-unit-ref.md)                     | Chain of ancestor organizational units ordered from the root down to the immediate parent. Empty when the unit is a root.                          | <p>id <code>String!</code><br>name <code>String!</code></p>                                                                                                                                                                                                                                                                                                                                                                          |
| children [`[OrgUnitHierarchyItem!]!`](/api-documentation/api-reference/api--tags/types/objects/org-unit-hierarchy-item.md) |                                                                                                                                                    | <p>name <code>String!</code><br>tagIds <code>\[String!]!</code><br>tags <a href="/pages/1GvdJfAzNPasWZXrKpem"><code>\[TagObject!]!</code></a><br>appOwnersEmail <code>\[String!]</code><br>id <code>String</code><br>parent <code>String</code><br>ancestors <a href="/pages/1OaDtXRgMCiiCy6CtmGv"><code>\[OrgUnitRef!]!</code></a><br>children <a href="/pages/oAzfNAEyxxqIb2du6j9g"><code>\[OrgUnitHierarchyItem!]!</code></a></p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--tags/mutations/update-org-unit-hierarchy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
